## dsi-chef 0.3

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2005-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.24

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=wheezy
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


#configure:unpack debian/stamp-patched configure-up-stamp
configure:unpack configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build-arch: configure build-arch-up-stamp
build-arch-up-stamp:
	touch build-arch-up-stamp


build-indep: configure build-indep-up-stamp
build-indep-up-stamp:
	touch build-indep-up-stamp


build: build-arch build-indep


install:build install-up-stamp
install-up-stamp:
	touch install-up-stamp


clean:
	make unpatch || rm debian/stamp-patched
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	make -f ../upload upload

# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
dsi-chef (0.3) wheezy; urgency=low

  * Rebuilt for upload to DSI repos.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 22 Jul 2013 19:34:54 +0100

dsi-chef (0.2) wheezy; urgency=low

  * Change Architecture to all.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sat, 20 Jul 2013 00:22:56 +0100

dsi-chef (0.1) wheezy; urgency=low

  * Fix dependencies of chef on wheezy

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Sat, 20 Jul 2013 00:07:23 +0100

deb-template (0.24) unstable; urgency=low

  * Remove from Makefile and debian/rules upload target to ../upload.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Sat, 09 Feb 2013 19:41:47 +0000

deb-template (0.22) unstable; urgency=low

  * Add build-arch and build-indep rules to Makefile and debian/rules.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Sat, 02 Feb 2013 12:31:43 +0000

deb-template (0.21) unstable; urgency=low

  * Upload to two repositories: deb-ppa.calhariz.com and debian.ist.utl.pt
  * debian/rules update rules: upload and tag
  * debian source 3.0 use *.debian.tar.gz instead of *.diff.gz

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Mon, 14 Jan 2013 19:19:51 +0000

deb-template (0.20) unstable; urgency=low

  * REPOSARCH value for costumer packages 

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Mon, 14 Jan 2013 19:06:01 +0000

deb-template (0.19~rc1) unstable; urgency=low

  * Many changes no registered here, between 0.12 and 0.18
  * Update year in copyright file
  * Update distribution to squeeze
  * New REPOSTARGET value

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 05 Apr 2012 12:59:05 +0100

deb-template (0.11) unstable; urgency=low

  * Add an example of a litian override on unknown-section taguspark

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 29 Aug 2011 17:52:13 +0100

deb-template (0.10) unstable; urgency=low

  * Update to examples files from dh_make v0.46

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 14 Apr 2011 21:32:50 +0100

deb-template (0.9) unstable; urgency=low

  * Fix on creating dist.tar.gz for Non native package
  * Create subdirectories as need in tag subdirectories, needed when
    tagging a release for a new packages.
  * Increase version of Makefile to 0.17

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 17 Mar 2011 14:47:49 +0000

deb-template (0.8-1) unstable; urgency=low

  * Updated Makefile for version 0.16
  * DISTFILE and DISTFILES have the sources and diff files that makes a
    source for a debian package version 1.0.
  * Updated the rules dist and tag using the above files.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 22 Feb 2011 01:17:44 +0000

deb-template (0.7-1) unstable; urgency=low

  * Updated Makefile for version 0.15
  * Experimental code for creating distribution files valid for native and
    non-native packages with only one rule.
  * Tag archive file on the end of dist rule.
  * Rework the way the tag are done with svn.  Only copy the packages
    files, not the unpacked sources.  Because this don't work as was
    expected:
    * Tagging by copy of the basename didn't allow for easy and quick
    braching or keeping files for reference inside the trunk directory.
    * When using externals the tag with the unpacked source is not frozen
    in time.  It get what updates are in the externals.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 20 Feb 2011 00:06:04 +0000

deb-template (0.6-1) unstable; urgency=low

  * Drafted changes on copyright for following DEP5.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 04 Feb 2011 23:50:53 +0000

deb-template (0.5-1) unstable; urgency=low

  * Many changes

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Dec 2010 20:30:27 +0000

deb-template (0.4-1) unstable; urgency=low

  * use varible to indicate repository directory for dropping the files

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  2 Jun 2009 08:05:50 +0100

deb-template (0.3-1) unstable; urgency=low

  * changes on what files are added to SVN during tagging a new version

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat,  4 Apr 2009 23:25:52 +0100

deb-template (0.2-1) unstable; urgency=low

  * command read wihout a variable is a bashism
  * I don't append the version of software to the base directory
  * tag the makefile with a version, to be easier to check if the
    derivatives are updated

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 20 Aug 2008 13:17:40 +0100

deb-template (0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  8 Nov 2005 15:51:17 +0000

=== debian/control ===
Source: dsi-chef
Section: dsi
Priority: extra
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/dsi-chef.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/dsi-chef.git;a=summary

Package: dsi-chef
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libjson-ruby (>= 1.7.0)
Description: Fix dependencies of chef for wheezy
 Chef for wheezy have wrong dependencies, this is a workaround.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.24

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#For overriding debian/compat
#export DH_COMPAT=7

PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
#CATEG=other_sources



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) configure
	touch $@


build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-arch
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build-indep
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 


# Build architecture-independent files here.
#binary-indep: build-indep install
binary-arch: build-arch install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build-arch install
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
